import { DeepPartial } from '@azure-tools/codegen';
import { Parameter } from '../parameter';
import { OneOrMoreStatements, StatementPossibilities, Statements } from './statement';
export declare class TryStatement extends Statements {
    constructor(body: StatementPossibilities, objectInitializer?: DeepPartial<TryStatement>);
    get implementation(): string;
}
export declare class _CatchStatement extends Statements {
    protected parameter: Parameter | undefined;
    constructor(parameter: Parameter | undefined, body: OneOrMoreStatements, objectInitializer?: DeepPartial<TryStatement>);
    get implementation(): string;
}
export declare function Try(body: StatementPossibilities, objectInitializer?: DeepPartial<TryStatement>): TryStatement;
export declare function _Catch(parameter: Parameter | undefined, body: OneOrMoreStatements, objectInitializer?: DeepPartial<TryStatement>): TryStatement;
//# sourceMappingURL=try.d.ts.map