"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const expression_1 = require("./expression");
function IsNotNull(expression) {
    return expression_1.toExpression(`null != ${expression_1.valueOf(expression)}`);
}
exports.IsNotNull = IsNotNull;
function IsNull(expression) {
    return expression_1.toExpression(`null == ${expression_1.valueOf(expression)}`);
}
exports.IsNull = IsNull;
function Cast(expression, targetType) {
    return expression_1.toExpression(`(${targetType.declaration})${expression}`);
}
exports.Cast = Cast;
//# sourceMappingURL=comparisons.js.map